Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.processfiles
Class ProcessFilesData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.processfiles.ProcessFilesData

All Implemented Interfaces:
  StepDataInterface

    public class ProcessFilesData

extends BaseStepData
implements StepDataInterface

Since:
  03-Juin-2008
Author:
  Samatar

Field Summary
`int` | `indexOfSourceFilename`
`int` | `indexOfTargetFilename`
`org.apache.commons.vfs.FileObject` | `sourceFile`
`org.apache.commons.vfs.FileObject` | `targetFile`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`ProcessFilesData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### indexOfSourceFilename

    public int indexOfSourceFilename

### indexOfTargetFilename

    public int indexOfTargetFilename

### sourceFile

    public org.apache.commons.vfs.FileObject sourceFile

### targetFile

    public org.apache.commons.vfs.FileObject targetFile

Constructor Detail

### ProcessFilesData

    public ProcessFilesData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD